<template>
    <div :id="name" class="backdrop-modal inset-0">
        <a @click="$modal.hide(name)" class="backdrop-modal-cancel"></a>

        <div class="modal" :class="classes" :style="styles">
            <a @click="$modal.hide(name)" class="modal-close hover:text-primary-500">
                <i class="fad fa-times-circle fa-fw fa-2x"></i>
            </a>

                <slot></slot>

            <footer class="modal-footer">
                <slot name="footer"></slot>
            </footer>
        </div>
    </div>
</template>

<script>
    export default {
        name: "ModelComponent",
        props: ["name", "classes", "styles"],
    }
</script>

<style>
    .backdrop-modal {
        background: rgba(0, 0, 0, 0.4);
    }
</style>
